Page MenuHomePhabricator

File move/ rename tab not working in Commons
Closed, ResolvedPublic

Description

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 26 2019, 10:21 PM
Darwinius updated the task description. (Show Details)Jun 26 2019, 10:22 PM
Darwinius added a comment.EditedJun 26 2019, 10:29 PM

No idea if this is related, but I'm also seeing this weird, and rather useless button "wiki-en", which I can't recall seeing here earlier, don't seem to appear on the gadget list, and do not seem to do anything useful at all (just shows the same picture in wiki-en). The purge button seems to be duplicated as well (one as * and another as "purge")

Darwinius renamed this task from File move/ rename tab not appearing in Commons to File move/ rename tab not working in Commons.Jun 26 2019, 10:47 PM
Darwinius updated the task description. (Show Details)

When trying to manually move the file using https://commons.wikimedia.org/wiki/Special:MovePage/File:Suma%C3%BAma_(Ceiba_pentandra)_in_Funchal,_Madeira.jpg, it shows:

Other namespaces seem to be working normally. However, one can notice that namespace "File:" is missing from the list:

Majora triaged this task as High priority.Jun 27 2019, 1:17 AM
Majora added a subscriber: Majora.

This seems on par, if not worse, than not being able to move galleries (T224303) which was tagged as high priority. Sorry if I'm overstepping but as this is Commons and files are our thing this seems appropriate. Also, this appears to have started when T224303 was solved so probably directly related to that.

Going to a random file, it's displayed for me:

Unfortunately there are no clear steps to reproduce including specific links in this task.
I assume this is about Monobook skin? Any problems with other skins?

Please also try safemode, see https://www.mediawiki.org/wiki/Help:Locating_broken_scripts

Jeff_G added a subscriber: Jeff_G.Jun 27 2019, 10:16 AM
Meisam added a subscriber: Meisam.Jun 27 2019, 10:38 AM

Going to a random file, it's displayed for me:


Unfortunately there are no clear steps to reproduce including specific links in this task.
I assume this is about Monobook skin? Any problems with other skins?
Please also try safemode, see https://www.mediawiki.org/wiki/Help:Locating_broken_scripts

I don't use Monobook. I use Vector. I just looked again. No move button and the special page (example: https://commons.wikimedia.org/wiki/Special:MovePage/File:Marga_S%C3%A1nchez_Romero.jpg) shows a permission error. Safemode does not change anything. Other individuals are also experiencing this problem per https://commons.wikimedia.org/wiki/Commons:Administrators%27_noticeboard#Moving_files and https://commons.wikimedia.org/wiki/Commons:Village_pump#File_rename/move_link_missing?

Like I said before though, the bug started right around when T224303 was fixed. I'm guessing this is directly tied to whatever was changed to fix that problem.

Restricted Application added a project: Multimedia. · View Herald TranscriptJun 27 2019, 11:58 AM
Meisam removed a subscriber: Meisam.Jun 27 2019, 12:13 PM
4nn1l2 added a subscriber: 4nn1l2.Jun 27 2019, 12:57 PM
Fito added a subscriber: Fito.Jun 27 2019, 3:39 PM

The tab is missing and using the Gadget-AjaxQuickDelete.js, I'm seeing this message:

Error while moving the page.
A detailed description of the error is shown below:
API request failed (immobile-source-namespace): Cannot move pages in namespace "File". <i>at Thu, 27 Jun 2019 17:30:50 GMT</i> <u>served by mw1226</u> {"error":{"code":"immobile-source-namespace","info":"Cannot move pages in namespace \"File\".","*":"See https://commons.wikimedia.org/w/api.php for API usage. Subscribe to the mediawiki-api-announce mailing list at &lt;https://lists.wikimedia.org/mailman/listinfo/mediawiki-api-announce&gt; for notice of API deprecations and breaking changes."},"servedby":"mw1226"}

Meisam added a subscriber: Meisam.Jun 27 2019, 5:40 PM

Ah, thanks, that explanation was helpful!

the bug started right around when T224303 was fixed.

Note that task is not closed as fixed.

Steinsplitter added a comment.EditedJun 27 2019, 7:30 PM

The current backlog of open file move requests can be seen here: https://commons.wikimedia.org/wiki/Category:Media_requiring_renaming (374 open requests), and it is growing.

https://commons.wikimedia.org/wiki/Special:MovePage/File:00000IMG_00000_BURST20190608121152427_COVER_04.jpg

Unable to proceed
You do not have permission to move this page, for the following reason:

Cannot move pages in namespace "File".

Bummer. Tried my alternative account without filemover rights:

Unable to proceed
You do not have permission to move this page, for the following reasons:

    You do not have permission to move files.
    Cannot move pages in namespace "File".

Meh, it was worth a shot.

Beim Verschieben der Seite gab es einen Fehler.
Folgend eine Detailbeschreibung des Fehlers:
API request failed (immobile-source-namespace): Cannot move pages in namespace "File". <i>at Fri, 28 Jun 2019 06:45:25 GMT</i> <u>served by mw1290</u> {"error":{"code":"immobile-source-namespace","info":"Cannot move pages in namespace \"File\".","*":"See https://commons.wikimedia.org/w/api.php for API usage. Subscribe to the mediawiki-api-announce mailing list at &lt;https://lists.wikimedia.org/mailman/listinfo/mediawiki-api-announce&gt; for notice of API deprecations and breaking changes."},"servedby":"mw1290"}

Base added a subscriber: Base.Jun 28 2019, 10:14 AM
Steinsplitter added a comment.EditedJun 28 2019, 12:34 PM

@WMDE-leszek There is now a backlog of +500 files, growing and multiple onwiki complains. This task is assigned to nobody, is actually someone at WMDE working on this? Thank you! :)

Change 519622 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/Wikibase@master] Do not blocking pages in namespaces if the namespace contains Wikibase entity in non-main slot

https://gerrit.wikimedia.org/r/519622

@Steinsplitter apologies for the bug, it got overlooked when fixing T224303. The bug fix is on its way.

Change 519622 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Do not block moving pages in namespaces if the namespace contains Wikibase entity in non-main slot

https://gerrit.wikimedia.org/r/519622

Change 519687 had a related patch set uploaded (by Jforrester; owner: WMDE-leszek):
[mediawiki/extensions/Wikibase@wmf/1.34.0-wmf.11] Do not block moving pages in namespaces if the namespace contains Wikibase entity in non-main slot

https://gerrit.wikimedia.org/r/519687

Does this need a Friday deploy?

Does this need a Friday deploy?

Yes please! It would be awesome if you could!

Change 519687 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@wmf/1.34.0-wmf.11] Do not block moving pages in namespaces if the namespace contains Wikibase entity in non-main slot

https://gerrit.wikimedia.org/r/519687

Mentioned in SAL (#wikimedia-operations) [2019-06-28T20:09:02Z] <jforrester@deploy1001> Synchronized php-1.34.0-wmf.11/extensions/Wikibase/repo/RepoHooks.php: Make it possible for File pages to be moved on Commons again T224303 T226672 (duration: 00m 50s)

Jdforrester-WMF closed this task as Resolved.Jun 28 2019, 8:12 PM

Emergency-deployed and seems to now be working.

Emergency-deployed and seems to now be working.

Yepp, I can confirm. Works. Thank you 👍